package com.eactive.eai.rms.bat.web.eims.vo;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.vo.PersistentVo;

/**
 * TSEAIES03
 * @author jjh
 *
 */
public class DbAdapterVo implements PersistentVo{

	private String adptrcd        ;
	private String adptrcdseq     ;
	private String sqlname        ;
	private String intfid         ;
	private String sqlnamedesc    ;
	private String dbsql          ;
	private String dbeventwhere   ;
	private String txcommitunitcnt;
	private String selectunitcnt  ;
	private String delyn   = "1"  ;
	private String layoutkey  = "0";
	private String divfieldorder  ;
	private String dbmsname       ;
	private String dbmstype  = "oracle" ;
	private String dbmsip         ;
	private String dbmsport       ;
	private String ivalue         ;
	private String pvalue         ;
	private String workgrpCd = ""		  ;
	
	public String getAdptrcd() {
		return adptrcd;
	}
	public void setAdptrcd(String adptrcd) {
		this.adptrcd = adptrcd;
	}
	public String getAdptrcdseq() {
		return adptrcdseq;
	}
	public void setAdptrcdseq(String adptrcdseq) {
		this.adptrcdseq = adptrcdseq;
	}
	public String getSqlname() {
		return sqlname;
	}
	public void setSqlname(String sqlname) {
		this.sqlname = sqlname;
	}
	public String getIntfid() {
		return intfid;
	}
	public void setIntfid(String intfid) {
		this.intfid = intfid;
	}
	public String getSqlnamedesc() {
		return sqlnamedesc;
	}
	public void setSqlnamedesc(String sqlnamedesc) {
		this.sqlnamedesc = sqlnamedesc;
	}
	public String getDbsql() {
		return dbsql;
	}
	public void setDbsql(String dbsql) {
		this.dbsql = dbsql;
	}
	public String getDbeventwhere() {
		return dbeventwhere;
	}
	public void setDbeventwhere(String dbeventwhere) {
		this.dbeventwhere = dbeventwhere;
	}
	public String getTxcommitunitcnt() {
		return txcommitunitcnt;
	}
	public void setTxcommitunitcnt(String txcommitunitcnt) {
		this.txcommitunitcnt = txcommitunitcnt;
	}
	public String getSelectunitcnt() {
		return selectunitcnt;
	}
	public void setSelectunitcnt(String selectunitcnt) {
		this.selectunitcnt = selectunitcnt;
	}
	public String getDelyn() {
		return delyn;
	}
	public void setDelyn(String delyn) {
		this.delyn = delyn;
	}
	public String getLayoutkey() {
		return layoutkey;
	}
	public void setLayoutkey(String layoutkey) {
		this.layoutkey = layoutkey;
	}
	public String getDivfieldorder() {
		return divfieldorder;
	}
	public void setDivfieldorder(String divfieldorder) {
		this.divfieldorder = divfieldorder;
	}
	public String getDbmsname() {
		return dbmsname;
	}
	public void setDbmsname(String dbmsname) {
		this.dbmsname = dbmsname;
	}
	public String getDbmstype() {
		return dbmstype;
	}
	public void setDbmstype(String dbmstype) {
		this.dbmstype = dbmstype;
	}
	public String getDbmsip() {
		return dbmsip;
	}
	public void setDbmsip(String dbmsip) {
		this.dbmsip = dbmsip;
	}
	public String getDbmsport() {
		return dbmsport;
	}
	public void setDbmsport(String dbmsport) {
		this.dbmsport = dbmsport;
	}
	public String getIvalue() {
		return ivalue;
	}
	public void setIvalue(String ivalue) {
		this.ivalue = ivalue;
	}
	public String getPvalue() {
		return pvalue;
	}
	public void setPvalue(String pvalue) {
		this.pvalue = pvalue;
	}
	public String getWorkGrpCd() {
		return workgrpCd;
	}
	public void setWorkGrpCd(String workgrpCd) {
		this.workgrpCd = workgrpCd;
	}
	@Override
	public String getSchemaId() {
		return DataSourceContextHolder.getDataSourceType().getSchema();
	}
	
}
